from functools import partial

from tornado.ioloop import IOLoop

from test_fsm import TestFSM
from tfw.networking import TFWServer
from tfw.config import TFWENV
from tfw.config.logs import logging

LOG = logging.getLogger(__name__)


if __name__ == '__main__':
    # pylint: disable=invalid-name
    FiveStepTestFSM = partial(TestFSM, 5)
    TFWServer(FiveStepTestFSM).listen(TFWENV.WEB_PORT)

    IOLoop.instance().start()
