#!/usr/bin/env bash
set -eu
set -o pipefail
set -o errtrace
shopt -s expand_aliases

if [ "$(uname)" == "Darwin" ]; then
    alias readlink="greadlink" 
    alias sed="gsed"
fi
SCRIPT_DIR="$(dirname $(readlink -f $0))"

sed -i "s/SHA=\w\+/SHA=$(sha256sum hack/bootstrap_tfw_dev.sh | cut -d ' ' -f1)/g" "${SCRIPT_DIR}/oneline_install.sh"
